import { OnInit, OnDestroy, ElementRef, QueryList, AfterViewInit } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import * as i0 from "@angular/core";
export declare class NgPdfViewerComponent implements OnInit, AfterViewInit, OnDestroy {
    private http;
    canvasElements: QueryList<ElementRef>;
    pageContainers: QueryList<ElementRef>;
    containerElement: ElementRef;
    url: string | null;
    private pdfDoc;
    currentPage: number;
    private scale;
    totalPages: number;
    pageNumbers: number[];
    private firstPageScale;
    private renderInProgress;
    showToolbar: boolean;
    showDownloadButton: boolean;
    fileName: string | null;
    onError: (error: any) => void;
    onLoad: (pdfDoc: any) => void;
    onPageChange: (pageNum: number) => void;
    constructor(http: HttpClient);
    ngOnInit(): void;
    private loadPdf;
    private calculateScale;
    private renderPage;
    nextPage(): void;
    prevPage(): void;
    zoomIn(): void;
    zoomOut(): void;
    private resizeObserver;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private scrollToPage;
    goToPage(pageNum: number): void;
    downloadPdf(): Promise<void>;
    private getFileName;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgPdfViewerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgPdfViewerComponent, "ng-simple-pdf-viewer", never, { "url": { "alias": "url"; "required": false; }; "showToolbar": { "alias": "show-toolbar"; "required": false; }; "showDownloadButton": { "alias": "show-download-button"; "required": false; }; "fileName": { "alias": "file-name"; "required": false; }; "onError": { "alias": "on-error"; "required": false; }; "onLoad": { "alias": "on-load"; "required": false; }; "onPageChange": { "alias": "on-page-change"; "required": false; }; }, {}, never, never, true, never>;
}
